Bug 709269 - perl-SOAP-Lite provides bogus "perl(LWP::Protocol)"
Summary: perl-SOAP-Lite provides bogus "perl(LWP::Protocol)"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-SOAP-Lite
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-31 08:51 UTC by Ralf Corsepius
Modified: 2011-06-21 17:11 UTC (History)
3 users (show)

Fixed In Version: perl-SOAP-Lite-0.712-5.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-07 04:30:15 UTC


Attachments (Terms of Use)

Description Ralf Corsepius 2011-05-31 08:51:27 UTC
Description of problem:

perl-SOAP-Lite provides a bogus "perl(LWP::Protocol)":

# repoquery --whatprovides 'perl(LWP::Protocol)'
perl-SOAP-Lite-0:0.712-4.fc14.noarch
perl-libwww-perl-0:5.836-1.fc14.noarch
perl-libwww-perl-0:5.837-2.fc14.noarch


Version-Release number of selected component (if applicable):
perl-SOAP-Lite-0:0.712-4.fc14.noarch

Expected results:
perl-SOAP-Lite not to provide LWP::Protocol


Additional info:
AFAIU, this bogus provides originates from perl-SOAP-Lite trying to internally override/overlay the real LWP::Protocol. It should be filtered.

Comment 1 Paul Howarth 2011-05-31 09:21:17 UTC
This affects EPEL-5 too, where it had been fixed previously (Bug #557485) and was re-introduced when the Fedora version over-wrote it for the 0.712 version bump.

Comment 2 Petr Šabata 2011-05-31 09:30:06 UTC
Indeed this was a mistake.
0.712-5 filters this out again.

Comment 3 Fedora Update System 2011-05-31 09:32:12 UTC
perl-SOAP-Lite-0.712-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-SOAP-Lite-0.712-5.fc14

Comment 4 Fedora Update System 2011-05-31 09:33:03 UTC
perl-SOAP-Lite-0.712-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-SOAP-Lite-0.712-5.fc15

Comment 5 Fedora Update System 2011-05-31 11:52:39 UTC
perl-SOAP-Lite-0.712-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-SOAP-Lite-0.712-5.el5

Comment 6 Fedora Update System 2011-06-02 19:02:21 UTC
Package perl-SOAP-Lite-0.712-5.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-SOAP-Lite-0.712-5.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/perl-SOAP-Lite-0.712-5.fc14
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-06-07 04:30:10 UTC
perl-SOAP-Lite-0.712-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-06-11 04:27:10 UTC
perl-SOAP-Lite-0.712-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-06-21 17:11:42 UTC
perl-SOAP-Lite-0.712-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.